DELUSER(8)

BEZEICHNUNG
deluser, delgroup - entfernt einen Benutzer oder eine Gruppe aus dem System

ÜBERSICHT
deluser [--backup] [--backup-suffix Zk] [--backup-to Verzeichnis] [--conf Datei] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] Benutzer
deluser [--system] [--backup] [--backup-suffix Zk] [--backup-to Verzeichnis] [--conf Datei] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] Benutzer
deluser --group [--conf Datei] [--debug] [--only-if-empty] [--quiet] [--verbose] group
delgroup [--system] [--conf Datei] [--debug] [--only-if-empty] [--quiet] [--verbose] group
deluser [--conf Datei] [--debug] [--quiet] [--verbose] Benutzer Gruppe
deluser --help
deluser --version

BESCHREIBUNG
Deluser und Delgroup entfernen Benutzer und Gruppen aus dem System. Ihr Vorgehen richtet sich nach den auf der Befehlszeile übergebenen Optionen und Konfigurationsinformationen in /etc/deluser.conf und /etc/adduser.conf.

Sie sind bedienungsfreundlichere Oberflächen für die Programme userdel und groupdel. Unter anderem löschen sie optional das Home-Verzeichnis oder sogar alle im System vorhandenen Dateien des zu entfernenden Benutzers und lassen benutzerdefinierte Skripte laufen und weitere Funktionalitäten.

Eine vollständige Liste und Beschreibungen aller Optionen finden Sie im Abschnitt OPTIONEN.

Deluser und Delgroup können in einem von drei Modi betrieben werden:

  Entfernen eines Benutzers
Wird deluser ohne die Option --group und mit einem Argument, das keine Option ist, aufgerufen, wird es einen Nicht-Systembenutzer entfernen.

Standardmäßig wird deluser den Benutzer entfernen, ohne das Home-Verzeichnis, den E-Mail-Puffer oder sonstige im System vorhandene Dateien zu löschen, die dem Benutzer gehören. Das Home-Verzeichnis und der E-Mail-Puffer können mit der Option --remove-home entfernt werden.

Die Option --remove-all-files entfernt alle Dateien des Benutzers aus dem System. Beachten Sie: Wenn Sie auch --remove-home aktivieren, hat dies keine zusätzliche Wirkung, da alle Dateien einschließlich des Home-Verzeichnisses und des E-Mail-Puffers bereits von der Option --remove-all-files abgedeckt sind.

Wenn Sie alle Dateien vor dem Löschen sichern möchten, können Sie die Option --backup aktivieren, welche die Sicherungsdatei Benutzername.tar(.gz|.bz2) in das von der Option --backup-to bestimmte Verzeichnis erstellt.

Standardmäßig wird das Sicherungsarchiv mit gzip(1) komprimiert. Um dies zu ändern, kann die Option --backup-suffix auf jedes durch tar --auto-compress unterstützte Format (z.B. .gz, .bz2, .xz) gesetzt werden.

deluser wird die Entfernung des Kontos von »root« ablehnen.

Falls die Option --system auf der Befehlszeile übergeben wurde, wird die Löschaktion tatsächlich nur ausgeführt, falls der Benutzer ein Systembenutzer ist. Damit wird das versehentliche Löschen von Nicht-Systembenutzern vermieden. Zusätzlich wird kein Fehler zurückgegeben, wenn der Benutzer nicht im System existiert. Debian-Paketbetreuerskripte können diesen Schalter zum Entfernen von Systembenutzern oder -gruppen verwenden, wobei der Fall ignoriert wird, bei dem die Entfernung bereits passierte.

  Entfernen einer Gruppe
Falls deluser mit der Option --group aufgerufen wird oder delgroup aufgerufen wird, dann wird die Gruppe entfernt. Die primäre Gruppe eines bestehenden Benutzers kann nicht entfernt werden. Falls die Option --only-if-empty angegeben ist, wird die Gruppe nicht entfernt, falls sie noch Mitglieder hat.

Die Option --system fügt die gleiche Funktionalität wie bei Benutzern hinzu.

  Entfernen eines Benutzers aus einer bestimmten Gruppe
Wird deluser mit zwei Argumenten, die keine Option sind, aufgerufen, wird ein Benutzer aus einer bestimmten Gruppe entfernt.

OPTIONEN
Verschiedene Modi von deluser erlauben verschiedene Optionen. Falls keine gültigen Modi für eine Option aufgeführt sind, wird sie in allen Modi akzeptiert.

Aus historischen Gründen können für bestimmte Aktionen Kurzversionen der Optionen existieren. Sie werden weiterhin unterstützt, aber aus der Dokumentation entfernt. Benutzern wird empfohlen, auf die lange Version der Optionen umzusteigen.

--backup
    Alle Dateien im Home-Verzeichnis und im E-Mail-Puffer des Benutzers werden in die Datei Benutzername.tar.bz2 oder Benutzername.tar.gz gesichert. Gültige Modi: deluser, deluser --system,

--backup-suffix Zk
    Wählt den Kompressionsalgorithmus für die Sicherungskopie des Home-Verzeichnisses aus. Kann auf alle von tar --auto-compress erkannten Endungen gesetzt werden. Standardmäßig .gz. Gültige Modi: deluser, deluser --system,

--backup-to Verz
    Legt die Sicherungsdateien nicht im aktuellen Verzeichnis sondern in Verz ab. Dies impliziert auch --backup. Die Vorgabe ist das aktuelle Verzeichnis. Gültige Modi: deluser, deluser --system,

--conf Datei
    Datei wird anstatt der Standard-Dateien /etc/deluser.conf und /etc/adduser.conf verwendet. Die Option --conf kann mehrfach angegeben werden.

--debug
    Aktiviert Fehlersuch-Code.

--group
    Entfernt eine Gruppe. Das ist das Standardverhalten bei einem Aufruf als delgroup. Gültiger Modus: deluser.

--help
    Kurzanleitung anzeigen

--only-if-empty
    Nur löschen, falls keine Mitglieder verblieben sind. Gültige Modi: deluser --group, delgroup,

--quiet
    Meldungen mit Informationscharakter unterdrücken, nur Warnungen und Fehler anzeigen

--remove-all-files
    Entfernt alle Dateien aus dem System, die der Benutzer besitzt. Hinweis: --remove-home hat keinen Effekt mehr. Wenn --backup angegeben wird, werden die Dateien gelöscht, nachdem eine Sicherung durchgeführt wurde. Gültige Modi: deluser, deluser --system,

--remove-home
    Entfernt das Home-Verzeichnis des Benutzers und seinen E-Mail-Puffer. Ist --backup gewählt, wird vor dem Löschen der Dateien eine Sicherungskopie erstellt. Gültige Modi: deluser, deluser --system,

--system
    Benutzer/Gruppe nur entfernen, wenn es ein System-Benutzer oder eine System-Gruppe ist. Es wird kein Fehler zurückgegeben, wenn der Benutzer nicht existiert. Gültige Modi: deluser, deluser --system,

--verbose
    Ausführlichere Ausgabe.

--version
    Anzeige der Version und von Copyright-Informationen

RÜCKGABEWERT

0   Erfolg: Die Aktion wurde erfolgreich ausgeführt.

1   Der Benutzer, der gelöscht werden sollte, hatte kein Systemkonto. Es wurde nichts unternommen.

2   Dieser Benutzer existiert nicht. Es wurde nichts unternommen.

3   Diese Gruppe existiert nicht. Es wurde nichts unternommen.

4   Interner Fehler. Es wurde nichts unternommen.

5   Die Gruppe wurde nicht gelöscht, weil sie noch Mitglieder hatte. Es wurde nichts unternommen.

6   Der Benutzer gehört nicht zu der angegebenen Gruppe. Es wurde nichts unternommen.

7   Sie können einen Benutzer nicht aus seiner primären Gruppe entfernen. Es wurde nichts unternommen.

8   Das vorgeschlagene Paket »perl« ist nicht installiert. Dieses Paket ist für die Ausführung der gewählten Aktionen erforderlich. Es wurde nichts unternommen.

9   Das Konto »root« kann nicht gelöscht werden. Es wurde nichts unternommen.

SICHERHEIT
deluser benötigt Systemadministratorberechtigungen. Es bietet über die Befehlszeilenoption --conf die Möglichkeit, verschiedene Konfigurationsdateien zu verwenden. Verwenden Sie nicht sudo(8) oder ähnliche Befehle, um Teilprivilegien an deluser mit beschränkten Befehlszeilenparameter zu geben. Dies kann leicht umgangen werden und könnte Benutzern erlauben, beliebige Konten zu erstellen. Falls Sie dies erreichen wollen, entwickeln Sie Ihr eigenes Skript, das deluser kapselt, und vergeben Sie Privilegien, um dieses Skript aufzurufen.

DATEIEN
/etc/deluser.conf - Standard-Konfigurationsdatei für deluser(8) und delgroup(8)

/usr/local/sbin/deluser.local
    Optionale benutzerspezifische Ergänzungen, siehe deluser.local(8).

SIEHE AUCH
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)